> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/dictionarymd/get_platform_list_information.md).

# Get platform list information

| HTTP method | Endpoint                |
| ----------- | ----------------------- |
| **GET**     | **/v1/dict\_platforms** |

**Note: If you want to add the query conditions, there are parameters Path introduced the field can be selected (only one query can be added at a time).**

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter  | Description                      |
| ---------- | -------------------------------- |
| id         | The unique id for the platform.  |
| name       | The name for the platform.       |
| note       | The note for the platform.       |
| parent\_id | The parent\_id for the platform. |

## Response body parameters <a href="#response-body-parameters-0" id="response-body-parameters-0"></a>

| Field      | Type    | Description                      |
| ---------- | ------- | -------------------------------- |
| id         | integer | The unique id for the platform.  |
| name       | string  | The name for the platform.       |
| note       | string  | The note for the platform.       |
| parent\_id | integer | The parent\_id for the platform. |

## Example request <a href="#example-request-0" id="example-request-0"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/dict_platforms?parent_id=3>

**Request GET** <http://{networkname}.api.offerslook.com/v1/dict_platforms?parent_id=3>

## Example response <a href="#example-response-0" id="example-response-0"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "dict_platforms": [
          {
            "id": 12,
            "name": "Android",
            "note": "Tablet OS",
            "parent_id": 3
          },
          {
            "id": 13,
            "name": "iOS",
            "note": "Tablet OS",
            "parent_id": 3
          },
          {
            "id": 14,
            "name": "Windows",
            "note": "Tablet OS",
            "parent_id": 3
          }
        ]
      }
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/dictionarymd/get_platform_list_information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
